Skip to main content
DELETE
/
virtual-wallets
/
bank-ramps
/
ramp-on
/
cancel
/
{id}
curl -X DELETE "https://api.cryptomate.me/virtual-wallets/bank-ramps/ramp-on/cancel/evt_a1b2c3d4e5f6" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "id": "evt_a1b2c3d4e5f6",
  "type": "RAMP_ON",
  "status": "CANCELLED",
  "company_id": "company_xyz789",
  "destination_wallet_id": "vw_def456",
  "client_id": "client_ghi789",
  "origin_amount": 1000.00,
  "origin_currency": "USD",
  "origin_name": "John Doe"
}
Deletes an existing ramp-on transfer by its unique identifier. Requires an API key with access level 1 or higher.

Path parameters

id
string
required
Unique identifier of the ramp transfer.

Response

id
string
Unique event identifier.
type
string
Operation type (for example, RAMP_ON).
status
string
Status. One of PENDING, PROCESSING, COMPLETED, FAILED, CANCELLED.
company_id
string
Company identifier.
destination_wallet_id
string
Destination wallet identifier.
client_id
string
Client identifier.
origin_amount
number
Original fiat amount.
origin_currency
string
Original fiat currency. One of BRL, USD, EUR, ARS, MXN.
origin_name
string
Name of the originator.
curl -X DELETE "https://api.cryptomate.me/virtual-wallets/bank-ramps/ramp-on/cancel/evt_a1b2c3d4e5f6" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "id": "evt_a1b2c3d4e5f6",
  "type": "RAMP_ON",
  "status": "CANCELLED",
  "company_id": "company_xyz789",
  "destination_wallet_id": "vw_def456",
  "client_id": "client_ghi789",
  "origin_amount": 1000.00,
  "origin_currency": "USD",
  "origin_name": "John Doe"
}